JUCE: VST3ClientExtensions Struct Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
VST3ClientExtensions Struct Reference
juce_audio_processors » utilities

An interface to allow an AudioProcessor to implement extended VST3-specific functionality. More...

`#include <juce_VST3ClientExtensions.h>`

## Public Member Functions
virtual | ~VST3ClientExtensions ()=default
virtual int32_t | queryIEditController (const Steinberg::TUID, void **obj)
| This function may be used by implementations of queryInterface() in the VST3's implementation of IEditController to return additional supported interfaces.
virtual int32_t | queryIAudioProcessor (const Steinberg::TUID, void **obj)
| This function may be used by implementations of queryInterface() in the VST3's implementation of IAudioProcessor to return additional supported interfaces.
virtual void | setIComponentHandler (Steinberg::FUnknown *)
| This may be called by the VST3 wrapper when the host sets an IComponentHandler for the plugin to use.
virtual void | setIHostApplication (Steinberg::FUnknown *)
| This may be called shortly after the AudioProcessor is constructed with the current IHostApplication.
virtual bool | getPluginHasMainInput () const
| This function will be called to check whether the first input bus should be designated as "kMain" or "kAux".
virtual std::vector< String > | getCompatibleClasses () const
| This function should return the UIDs of any compatible VST2 plug-ins.

## Detailed Description

An interface to allow an AudioProcessor to implement extended VST3-specific functionality.

To use this class, create an object that inherits from it, implement the methods, then return a pointer to the object in your AudioProcessor::getVST3ClientExtensions() method.

See also
  AudioProcessor, AAXClientExtensions, VST2ClientExtensions

## Constructor & Destructor Documentation

## ◆ ~VST3ClientExtensions()

virtual VST3ClientExtensions::~VST3ClientExtensions | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ queryIEditController()

virtual int32_t VST3ClientExtensions::queryIEditController | ( | const Steinberg::TUID | ,
|  | void ** | obj
| ) |  |
| virtual

This function may be used by implementations of queryInterface() in the VST3's implementation of IEditController to return additional supported interfaces.

## ◆ queryIAudioProcessor()

virtual int32_t VST3ClientExtensions::queryIAudioProcessor | ( | const Steinberg::TUID | ,
|  | void ** | obj
| ) |  |
| virtual

This function may be used by implementations of queryInterface() in the VST3's implementation of IAudioProcessor to return additional supported interfaces.

## ◆ setIComponentHandler()

virtual void VST3ClientExtensions::setIComponentHandler | ( | Steinberg::FUnknown * |  | ) |
| virtual

This may be called by the VST3 wrapper when the host sets an IComponentHandler for the plugin to use.

You should not make any assumptions about how and when this will be called - this function may not be called at all!

## ◆ setIHostApplication()

virtual void VST3ClientExtensions::setIHostApplication | ( | Steinberg::FUnknown * |  | ) |
| virtual

This may be called shortly after the AudioProcessor is constructed with the current IHostApplication.

You should not make any assumptions about how and when this will be called - this function may not be called at all!

## ◆ getPluginHasMainInput()

virtual bool VST3ClientExtensions::getPluginHasMainInput | ( |  | ) | const
| virtual

This function will be called to check whether the first input bus should be designated as "kMain" or "kAux".

Return true if the first bus should be kMain, or false if the bus should be kAux.

All other input buses will always be designated kAux.

## ◆ getCompatibleClasses()

virtual std::vector< String > VST3ClientExtensions::getCompatibleClasses | ( |  | ) | const
| virtual

This function should return the UIDs of any compatible VST2 plug-ins.

Each item in the vector should be a 32-character string consisting only of the characters 0-9 and A-F.

This information will be used to implement the IPluginCompatibility interface. Hosts can use this interface to determine whether this VST3 is capable of replacing a given VST2.

The documentation for this struct was generated from the following file:

- juce_VST3ClientExtensions.h